<template>
  <v-select
    :items="items"
    :label="label"
    :multiple="multiple"
    outlined
    dense
    hide-details="auto"
    @change="val => updateExperience(val)"
  />
</template>

<script>
import { EXPERIENCE } from '@/constants'

export default {
  name: 'ExperienceSelect',
  props: {
    label: { type: String, default: 'Your practices' },
    multiple: { type: Boolean, default: true },
    updateExperience: { type: Function }
  },
  data: () => ({
    items: EXPERIENCE
  })
}
</script>
